---
layout: page
title: Color Names
---
Color names are resolved in the context of a 
<A HREF="attrs.html#d:colorscheme">color scheme</A>. Graphviz currently
supports the <A HREF="#x11">X11 scheme</A>, 
the <A HREF="#svg">SVG scheme</A>, and the <A HREF="#brewer">Brewer schemes</A>,
with X11 being the default.
<P>
Color names are case-insensitive.
<P>
The Brewer color schemes below are covered by this <A HREF=#brewer_license>license</A>.
<HR>
<H2><A NAME="x11">The X11 color scheme</A></H2>
{% include x11_colors.html %}
<H2><A NAME="svg">The SVG color scheme</A></H2>
{% include svg_colors.html %}
<H2><A NAME="brewer">Brewer color schemes</A></H2>
{% include brewer_colors.html %}
<BR>
<A NAME=brewer_license>Apache-Style Software License for ColorBrewer software and ColorBrewer
Color Schemes, Version 1.1</A>
<P>
Copyright (c) 2002 Cynthia Brewer, Mark Harrower, and The Pennsylvania
State University. All rights reserved.
<P>
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
<OL>
<LI>Redistributions as source code must retain the above copyright notice,
this list of conditions and the following disclaimer.
<LI>The end-user documentation included with the redistribution, if any,
must include the following acknowledgment:
<P>
<I>This product includes color specifications and designs developed
by Cynthia Brewer (http://colorbrewer.org/)</I>.
<P>
Alternately, this acknowledgment may appear in the software itself, if and
wherever such third-party acknowledgments normally appear.
<LI>The name "ColorBrewer" must not be used to endorse or promote products
derived from this software without prior written permission. For written
permission, please contact Cynthia Brewer at cbrewer@psu.edu.
<LI>Products derived from this software may not be called "ColorBrewer", nor
may "ColorBrewer" appear in their name, without prior written permission
of Cynthia Brewer.
</OL>
THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL CYNTHIA
BREWER, MARK HARROWER, OR THE PENNSYLVANIA STATE UNIVERSITY BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
